%global dlrn_nvr tripleo-image-elements-10.6.2.dev2-0.20200314025720.8c91b46
%global dlrn 1
%define upstream_version 10.6.2.dev2
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-image-elements
Summary:	OpenStack TripleO Image Elements for diskimage-builder
Version: 10.6.2
Release: 0.20200314025720.8c91b46%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-image-elements-10.6.2.dev2-0.20200314025720.8c91b46.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=8c91b4651e9dff695866da970961e3a9b352433e

BuildArch:	noarch
BuildRequires:	python%{pyver}-devel
BuildRequires:	python%{pyver}-setuptools
BuildRequires:	python%{pyver}-pbr
%if %{pyver} == 3
BuildRequires:  /usr/bin/pathfix.py
%endif

Requires:	diskimage-builder

%description
OpenStack TripleO Image Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images for the TripleO
program.

%prep
%setup -q -n tripleo-image-elements-%{upstream_version}

%build
%{pyver_build}

%install
%{pyver_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%if %{pyver} == 3
# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/tripleo-image-elements/os-svc-install/bin/map-services-tripleo
%endif

%files
%doc LICENSE
%doc README.rst
%doc AUTHORS
%doc ChangeLog
%{pyver_sitelib}/tripleo_image_elements*
%{_datadir}/tripleo-image-elements

%changelog
* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches
- Cleanup stale interface if exists

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches
- Disable yum-plugin-priorities elements for CentOS8

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 10.6.1-1
- Update patches

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 10.6.0-1
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Update .gitreview for stable/train

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Sync Sphinx requirement

* Fri Sep 27 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the constraints url

